petsc-3.4.2 2013-07-02

# PetscDrawSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetFromOptions(PetscDraw draw)

Collective on PetscDraw

### Input Parameter

draw -the graphics context

### Options Database Keys

| -nox | - do not use X graphics (ignore graphics calls, but run program correctly)
| -nox_warning | - when X windows support is not installed this prevents the warning message from being printed
| -draw_pause <pause amount> | - - -1 indicates wait for mouse input, -2 indicates pause when window is to be destroyed
| -draw_save [optional filename] | - (X windows only) saves each image before it is cleared to a file
| -draw_save_movie | - converts image files to a movie at the end of the run. See PetscDrawSetSave()
| -draw_save_on_flush | - saves an image on each flush in addition to each clear

### Notes

Must be called after PetscDrawCreate() before the PetscDrawtor is used.

### See Also

PetscDrawCreate(), PetscDrawSetType(), PetscDrawSetSave()

Level:intermediate
Location:src/sys/classes/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex6f90.F.html